Index: trunk/Include/basic/command.sbp
===================================================================
--- trunk/Include/basic/command.sbp	(revision 478)
+++ trunk/Include/basic/command.sbp	(revision 497)
@@ -1,7 +1,3 @@
 'command.sbp
-
-
-#ifndef _INC_COMMAND
-#define _INC_COMMAND
 
 Const _System_Type_SByte = 1
@@ -152,8 +148,8 @@
 Sub INPUT_FromFile(FileNumber As Long)
 	FileNumber--
-	
+
 	Dim i = 0 As Long
 	Dim buffer = New System.Text.StringBuilder(256)
-	Dim temp[1] As StrChar
+	Dim temp[1] As Char
 	Dim dwAccessBytes As DWord
 	Dim IsStr As Long
@@ -162,5 +158,5 @@
 		'次のデータをサーチ
 		Do
-			Dim ret = ReadFile(_System_hFile[FileNumber],temp,SizeOf (StrChar),VarPtr(dwAccessBytes),ByVal 0)
+			Dim ret = ReadFile(_System_hFile[FileNumber],temp,SizeOf (Char),VarPtr(dwAccessBytes),ByVal 0)
 			If ret=0 or dwAccessBytes=0 Then
 				'error
@@ -173,5 +169,5 @@
 		IsStr=0
 		While 1
-			Dim ret = ReadFile(_System_hFile[FileNumber],temp,SizeOf (StrChar),VarPtr(dwAccessBytes),ByVal 0)
+			Dim ret = ReadFile(_System_hFile[FileNumber],temp,SizeOf (Char),VarPtr(dwAccessBytes),ByVal 0)
 			If ret = 0 or dwAccessBytes = 0 Then
 				'error
@@ -183,5 +179,5 @@
 			If dwAccessBytes=0 or temp[0]=0 or temp[0]=13 or temp[0]=10 or (IsStr=0 and temp[0]=Asc(",")) or (IsStr=0 and (temp[0]=32 or temp[0]=9) and _System_InputDataType[i]<>_System_Type_String) Then
 				If temp[0]=13 Then
-					ReadFile(_System_hFile[FileNumber],temp,SizeOf (StrChar),VarPtr(dwAccessBytes),ByVal 0)
+					ReadFile(_System_hFile[FileNumber],temp,SizeOf (Char),VarPtr(dwAccessBytes),ByVal 0)
 					If Not(dwAccessBytes<>0 And temp[0]=10) Then
 						SetFilePointer(_System_hFile[FileNumber],-1,0,FILE_CURRENT)
@@ -202,5 +198,5 @@
 				End If
 
-				buffer.Append(0 As StrChar)
+				buffer.Append(0 As Char)
 				Exit While
 			End If
@@ -252,5 +248,5 @@
 Function _System_GetUsingFormat(UsingStr As String) As String
 	Dim i2 As Long, i3 As Long, i4 As Long, i5 As Long, ParmNum As Long
-	Dim temporary[255] As StrChar
+	Dim temporary[255] As Char
 	Dim buffer = New System.Text.StringBuilder(1024)
 
@@ -270,5 +266,5 @@
 		If UsingStr[i2]=Asc("#") Then
 			Dim dec As Long, sign As Long
-			Dim temp2 As *StrChar
+			Dim temp2 As *Char
 
 			Dim length_num As Long, length_buf As Long
@@ -325,5 +321,5 @@
 
 				If dec > 0 Then
-					memcpy(VarPtr(buffer.Chars[i3]), temp2, SizeOf (StrChar) * length_num)
+					memcpy(VarPtr(buffer.Chars[i3]), temp2, SizeOf (Char) * length_num)
 				Else
 					buffer[i3] = &H30
@@ -376,5 +372,5 @@
 					ActiveBasic.Strings.Detail.ChrFill(VarPtr(buffer.Chars[i3]), i4, &h20) 'Asc(" ")
 				End If
-				memcpy(VarPtr(buffer.Chars[i3]), _System_UsingStrData[ParmNum], SizeOf (StrChar) * i5)
+				memcpy(VarPtr(buffer.Chars[i3]), _System_UsingStrData[ParmNum], SizeOf (Char) * i5)
 				i3 += i4
 			Else
@@ -416,7 +412,7 @@
 	RecodeNumber--
 
-	SetFilePointer(_System_hFile(FileNumber), SizeOf (StrChar) * RecodeNumber * _System_FieldSize(FileNumber), 0, FILE_BEGIN)
+	SetFilePointer(_System_hFile(FileNumber), SizeOf (Char) * RecodeNumber * _System_FieldSize(FileNumber), 0, FILE_BEGIN)
 	Dim t = ZeroString(_System_FieldSize(FileNumber))
-	ReadFile(_System_hFile(FileNumber), StrPtr(t), SizeOf (StrChar) * _System_FieldSize(FileNumber), VarPtr(dwAccessByte), ByVal 0)
+	ReadFile(_System_hFile(FileNumber), StrPtr(t), SizeOf (Char) * _System_FieldSize(FileNumber), VarPtr(dwAccessByte), ByVal 0)
 	If dwAccessByte = _System_FieldSize(FileNumber) Then
 		buffer = t.ToString
@@ -431,6 +427,6 @@
 	RecodeNumber--
 
-	SetFilePointer(_System_hFile(FileNumber), SizeOf (StrChar) * RecodeNumber*_System_FieldSize(FileNumber), 0, FILE_BEGIN)
-	WriteFile(_System_hFile(FileNumber), StrPtr(buffer), SizeOf (StrChar) * _System_FieldSize(FileNumber), VarPtr(dwAccessByte), ByVal 0)
+	SetFilePointer(_System_hFile(FileNumber), SizeOf (Char) * RecodeNumber*_System_FieldSize(FileNumber), 0, FILE_BEGIN)
+	WriteFile(_System_hFile(FileNumber), StrPtr(buffer), SizeOf (Char) * _System_FieldSize(FileNumber), VarPtr(dwAccessByte), ByVal 0)
 End Macro
 
@@ -444,5 +440,2 @@
 	DeleteFile(ToTCStr(path))
 End Macro
-
-
-#endif '_INC_COMMAND
